# 32/64bit spec
#

%define realname PokerTH

Name:           pokerth
Version:        1.1.1
Release:        %mkrel 1
Summary:        Play Poker Online
Summary(de):	Texas Hold'em Pokerspiel
License:        AGPL
Group:          Games/Cards
URL:            http://www.pokerth.net/
Source0:        %{realname}-%{version}-src.tar.xz
Source1:	%name-16.png
Source2:	%name-32.png
Source3:	%name-48.png
Source4:        %{name}.desktop
# Tables
Source5:	mute_table_01_by_demainlespoulpes.rar
Source6:	mute_table_02_by_demainlespoulpes.rar
Source7:	Table_Style_01_for_PokerTH_by_x_a_n_a_x.rar
Source8:	Table_Style_02_for_PokerTH_by_x_a_n_a_x.rar
Source9:	Table_Style_03_for_PokerTH_by_x_a_n_a_x.rar
Source10:	stardust-1.1.zip
Source11:	PokerTH_Table_Red_Felt_0_2_by_Joneeeees.zip
Source12:	goldenpalms_table_1.1.zip

# Cards
Source13:	stardustcards-1.1.zip
Source14:	Card_Deck_Style_02_for_PokerTH_by_x_a_n_a_x.rar
Source15:	Card_Deck_Style_04_for_PokerTH_by_x_a_n_a_x.rar
Source16:	Card_Deck_Style_01_for_PokerTH_by_x_a_n_a_x.rar

Patch0:		PokerTH-0.9.1-libircclient-dir.patch
Patch1:		PokerTH-0.9.1-link.patch
# fix qt5 include names for qt4
Patch2:		qtWidget-include.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
#---------------------------------------
BuildRequires: unzip 
BuildRequires: rarlinux
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}SDL_mixer1.2-devel
BuildRequires: %{_lib}boost-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}gpg-error-devel
BuildRequires: %{_lib}gsasl-devel
BuildRequires: %{_lib}ircclient-devel
BuildRequires: %{_lib}protobuf-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}tinyxml-devel
Requires(post):	desktop-file-utils
Requires(postun): desktop-file-utils
Requires:	xmlstarlet

%description
PokerTH is a free and open-source No Limit Texas Hold'em Poker game

%description -l de
PokerTH ist ein freies und Open Source Kein Limit Texas Hold'em Pokerspiel

%package tables 
Summary:        Additional tables for %{realname}
Summary(de):	Weitere Pokertischdesigns für %{realname}
Group:          Games/Cards
Requires:	%{name}
License:	Creative Commons v. 3.0

%description tables
Additional tables for %{realname}

%description tables -l de
Weitere Pokertischdesigns für %{realname}

%package cards
Summary:        Additional cards for %{realname}
Summary(de):	Weitere Kartendecks für %{realname}
Group:          Games/Cards
Requires:	%{name}
License:	Creative Commons v. 3.0


%description cards
Additional cards for %{realname}

%description cards -l de
Weitere Kartendecks für %{realname}

%package	server
Summary:	PokerTH server
Summary(de):	PokerTH Server
Group:		Games/Cards

%description server
PokerTH server.

%description server -l de
PokerTH Server

%prep
%setup -q -n %{realname}-%{version}-src
%patch0 -p0
%patch1 -p0
#%patch2 -p0

%build
%qmake_qt4 pokerth.pro 
%make

%install
%__rm -rf %{buildroot}

%makeinstall_std INSTALL_ROOT=%{buildroot}

#data
# %make INSTALL_ROOT=%{buildroot} install
#binaries
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}/%name-real
install -m 755 bin/%{name}_server %{buildroot}%{_bindir}/
#man page
install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 644 docs/%{name}.1 %{buildroot}%{_mandir}/man1/
##icon
install -d -m 755 %{buildroot}%{_iconsdir}
install -m 644 %{name}.png %{buildroot}%{_iconsdir}/%{name}.png
#menu
install -d -m 755 %{buildroot}%{_datadir}/applications/
install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/



# Additional tables

# This table has spaces in foldername, use unrar option e
mkdir -p %{buildroot}%{_datadir}/%name/data/gfx/gui/table/mute_table_01
unrar e %{SOURCE5} %{buildroot}%{_datadir}/%name/data/gfx/gui/table/mute_table_01

mkdir -p %{buildroot}%{_datadir}/%name/data/gfx/gui/table/mute_table_02
unrar e %{SOURCE6} %{buildroot}%{_datadir}/%name/data/gfx/gui/table/mute_table_02

unrar x %{SOURCE7} -y %{buildroot}%{_datadir}/%name/data/gfx/gui/table
unrar x %{SOURCE8} -y %{buildroot}%{_datadir}/%name/data/gfx/gui/table
unrar x %{SOURCE9} -y %{buildroot}%{_datadir}/%name/data/gfx/gui/table

unzip %{SOURCE10} -x __MACOSX/* -d %{buildroot}%{_datadir}/%name/data/gfx/gui/table

unzip %{SOURCE11} -d %{buildroot}%{_datadir}/%name/data/gfx/gui/table
mv %{buildroot}%{_datadir}/%name/data/gfx/gui/table/Red\ Felt\ ver.\ 0.2/ \
 %{buildroot}%{_datadir}/%name/data/gfx/gui/table/Red_Felt_ver_0.2

unzip %{SOURCE12} -d %{buildroot}%{_datadir}/%name/data/gfx/gui/table

# Cards
unzip %{SOURCE13} -x __MACOSX/* -d %{buildroot}%{_datadir}/%name/data/gfx/cards

unrar x -x"PSD files (sources)" -xreadme.txt %{SOURCE14} %{buildroot}%{_datadir}/%name/data/gfx/cards
unrar x -x"PSD files (sources)" -xreadme.txt %{SOURCE15} %{buildroot}%{_datadir}/%name/data/gfx/cards
unrar x -x"PSD files (sources)" -xreadme.txt %{SOURCE16} %{buildroot}%{_datadir}/%name/data/gfx/cards



mkdir -p %buildroot/%_miconsdir \
	 %buildroot/%_liconsdir \
	 %buildroot/%_iconsdir
	
install -m 644 %SOURCE1 %buildroot/%{_miconsdir}/%{name}.png
install -m 644 %SOURCE2 %buildroot/%{_iconsdir}/%{name}.png
install -m 644 %SOURCE3 %buildroot/%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 %SOURCE4 %{buildroot}%{_datadir}/applications/%{name}.desktop


# make Excutable
mkdir -p %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/%{name} << EOF
#!/bin/sh
# Automates the process of installing additional cards and tables

sp=%{_datadir}/%name/data/gfx

insertxml_table () {
    mv ~/.pokerth/config.xml ~/.pokerth/config.tmp
    # Create element, then add attribute
    xml ed -s /PokerTH/Configuration/GameTableStylesList -t elem -n GameTableStyles -v "" \\
           -s "/PokerTH/Configuration/GameTableStylesList/GameTableStyles[last()]" -t attr -n value -v "\$1" \\
            ~/.pokerth/config.tmp > ~/.pokerth/config.xml
}

insertxml_cards () {
    mv ~/.pokerth/config.xml ~/.pokerth/config.tmp
    xml ed -s /PokerTH/Configuration/CardDeckStylesList -t elem -n CardDeckStyles -v "" \\
           -s "/PokerTH/Configuration/CardDeckStylesList/CardDeckStyles[last()]" -t attr -n value -v "\$1" \\
            ~/.pokerth/config.tmp > ~/.pokerth/config.xml
}

insert () {
# Test if xml element exists
if [ "\$2" = "table" ]; then 
  data=\`xml sel -t -c "/PokerTH/Configuration/GameTableStylesList/GameTableStyles[@value='\$1']" ~/.pokerth/config.xml\`
else
  data=\`xml sel -t -c "/PokerTH/Configuration/CardDeckStylesList/CardDeckStyles[@value='\$1']" ~/.pokerth/config.xml\`
fi

# If xml does not contain the data, insert in xml if xmlfile exists
if [ -z "\$data" ]; then
 Insert in config if xml file exists
    if [ -e "\$1" ]; then
      if [ "\$2" = "table" ]; then 
        insertxml_table "\$1"
      else
        insertxml_cards "\$1"
      fi
    fi
fi
}

# Add new tables or cards in the form: insert path-to-xml table|cards
insert "\$sp/gui/table/goldenpalms_table/goldenpalmstablestyle.xml" table
insert "\$sp/gui/table/mute_table_02/mute_table_02.xml" table
insert "\$sp/gui/table/stardust/starduststyle.xml" table
insert "\$sp/gui/table/xanax_table_01/xanax_table_01.xml" table
insert "\$sp/gui/table/mute_table_01/mute_table_01.xml" table
insert "\$sp/gui/table/xanax_table_02/xanax_table_02.xml" table
insert "\$sp/gui/table/Red_Felt_ver_0.2/PokerTH Table Red Felt 0.2.xml" table
insert "\$sp/gui/table/xanax_table_03/xanax_table_03.xml" table

insert "\$sp/cards/stardustcards/stardustdeckstyle.xml" cards
insert "\$sp/cards/xanax_card_deck_04/xanax_card_deck_04.xml" cards
insert "\$sp/cards/xanax_card_deck_01/xanax_card_deck_01.xml" cards
insert "\$sp/cards/xanax_card_deck_02/xanax_card_deck_02.xml" cards

/usr/bin/%name-real
cd /
EOF



chmod 0755 %{buildroot}%{_bindir}/%{name}

#cp -af * %{buildroot}/usr/lib/%{name}-%{version}

%clean
rm -rf %{buildroot}

%post
%update_desktop_database &> /dev/null ||:

%postun
%clean_desktop_database &> /dev/null ||:

%files
%defattr(-,root,root,0755)
%doc ChangeLog docs/gui_styling_howto.txt
%_bindir/%{name}
%_bindir/%{name}-real
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1*
%{_datadir}/pixmaps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/%name/data/*.txt
%{_datadir}/%name/data/fonts
%{_datadir}/%name/data/gfx/gui/table/default_800x480/*
%{_datadir}/%name/data/gfx/avatars
%{_datadir}/%name/data/gfx/gui/misc
%{_datadir}/%name/data/gfx/gui/table/danuxi1
%{_datadir}/%name/data/gfx/gui/table/default
%{_datadir}/%name/data/gfx/cards/default
%{_datadir}/%name/data/gfx/cards/default4c
%{_datadir}/%name/data/gfx/cards/default_800x480
%{_datadir}/%name/data/misc
%{_datadir}/%name/data/sounds
%{_datadir}/%name/data/translations

%files server
%defattr(0644,root,root,0755)
%doc ChangeLog COPYING docs/server_setup_howto.txt
%attr(0755,root,root) %{_bindir}/%{name}_server

%files tables
%defattr(-,root,root,0755)
%{_datadir}/%name/data/gfx/gui/table/mute_table_*
%{_datadir}/%name/data/gfx/gui/table/xanax_table_*
%{_datadir}/%name/data/gfx/gui/table/stardust
%{_datadir}/%name/data/gfx/gui/table/Red_Felt_ver_0.2
%{_datadir}/%name/data/gfx/gui/table/goldenpalms_table

%{_datadir}/%name/data/gfx/gui/table/readme.txt
%{_datadir}/%name/data/gfx/gui/table/wip.rar


%files cards
%defattr(-,root,root,0755)
%{_datadir}/%name/data/gfx/cards/stardustcards
%{_datadir}/%name/data/gfx/cards/xanax_card_deck_*


%changelog
* Wed Jun 18 2014 ghostbunny <ghostbunny at gmx dot de> 1.1.1-1pclos2014
- 1.1.1

* Tue Dec 26 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.1-1pclos2014
- 1.1
- switch license to AGPL
- add patch2

* Thu May 09 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.0.1-1pclos2013
- 1.0.1
- rediff libircclient patch

* Sat Mar 23 2013 pinoc <vogtpet at gmail.com> 1.0-2pclos2013
- fixed BR for 64

* Sun Mar 17 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.0-1pclos2013
- 1.0
- added BR libprotobuf-devel

* Thu Aug 02 2012 Neal <nealbrks0 at gmail dot com> 0.9.5-1pclos2012
- process

* Wed Aug 01 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.9.5-1pclos2012
- 0.9.5
- switched from binary to source release -> fixed BuildRequires and build section
- added server package
- fixed installation location of the additional decks and tables
- fixed files section

* Tue Apr 17 2012 Neal <nealbrks0 at gmail.com> 0.9.4-1pclos2012
- process

* Tue Apr 17 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.9.4-1pclos2012
- 0.9.4

* Wed Feb 15 2012 Neal <nealbrks0 at gmail dot com> 0.9.3-1pclos2012
- process

* Wed Feb 15 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.9.3-1pclos2012
- 0.9.3
- added german summary and description

* Mon Jul 04 2011 Texstar <texstar at gmail.com> 0.8.3-3pclos2011
- fix depencency pull from Synaptic

* Fri Feb 11 2011 Texstar <texstar at gmail.com> 0.8.3-2pclos2011
- change BR to rarlinux

* Fri Feb 11 2011 Sproggy <desproggster@gmail.com> 0.8.3-1pclos2011
- Update to 0.8.3

* Thu Oct 07 2010 Sproggy <desproggster@gmail.com> 0.8
- Update to 0.8

* Wed Aug 27 2009 MBantz <martin.bantz at gmail dot com> 0.7.1
- Update to 0.7.1
- Added additional tables in separate package
- Added additional cards in separate package
- Automatic install of additional cards and tables in user config.xml file

* Sat Jun 20 2009 Texstar <texstar@gmail.com> 0.7-1pclos2009
- create
